mantis -- several vulnerabilities

2012-06-24T00:00:00
ID DSA-2500
Type debian
Reporter Debian
Modified 2012-06-24T00:00:00

Description

Several vulnerabilities were discovered in Mantis, an issue tracking system.

Mantis installation in which the private_bug_view_threshold configuration option has been set to an array value do not properly enforce bug viewing restrictions.

Copy/clone bug report actions fail to leave an audit trail.

The delete_bug_threshold/bugnote_allow_user_edit_delete access check can be bypassed by users who have write access to the SOAP API.

Mantis performed access checks incorrectly when moving bugs between projects.

A SOAP client sending a null password field can authenticate as the Mantis administrator.

Mantis does not check the delete_attachments_threshold permission when a user attempts to delete an attachment from an issue.

For the stable distribution (squeeze), these problems have been fixed in version 1.1.8+dfsg-10squeeze2.

For the testing distribution (wheezy) and the unstable distribution (sid), these problems have been fixed in version 1.2.11-1.

We recommend that you upgrade your mantis packages.